@echo off
if %1 == "" goto END

rem Extract Filename 
set MainFileName=%1
for /f "delims=" %%a in ("%MainFileName%") do (
 set MainFileName=%%~nxa
)
set FileName=%MainFileName:~0,-2%
echo %MainFileName%
echo %FileName%

rem Remove ':' and '.' of time string
for /f "tokens=1-4 delims=:." %%a in ("%time%") do (
 set BackUpTime=%%a%%b%%c
)

rem Replace ' ' with '0' of hour
if "%BackUpTime:~0,1%" == " " (
 set BackUpTime=0%BackUpTime:~1%
)
echo (%BackUpTime%)

rem Rename old main.c to main_[time].c and copy new one in
for /f %%i in ('dir ..\Lab* /B /AD') do (
 ren ..\%%i\firmware\src\main.c main_%BackUpTime%.c
 copy %MainFileName% ..\%%i\firmware\src\main.c
)

start "" Notepad ..\CopyPaste\%FileName%.txt
:END