/*******************************************************************************
  Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This file contains the "main" function for a project.

  Description:
    This file contains the "main" function for a project.  The
    "main" function calls the "SYS_Initialize" function to initialize the state
    machines of all modules in the system
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes


// *****************************************************************************
// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************
// *****************************************************************************
// TODO 1.01
uint32_t i = 0;

int main ( void )
{
	/* Initialize all modules */
	SYS_Initialize ( NULL );

	// TODO 1.02
	//*(__IO uint32_t *)(0x41004400U + 0x08U) = 0x00100000;
	//PORT_REGS->GROUP[0].PORT_DIRSET = 1<<20;

	while ( true )
	{
		/* Maintain state machines of all polled MPLAB Harmony modules. */
		SYS_Tasks ( );

		for( i = 0 ; i < 2000000 ; i++ )
		{}
		// TODO 1.03
		//*(__IO uint32_t *)(0x41004400U + 0x1CU) = 0x00100000;
		//PORT_REGS->GROUP[0].PORT_OUTTGL = 1<<20;
		LED1_Toggle();
	}

	/* Execution should not come here during normal operation */

	return ( EXIT_FAILURE );
}


/*******************************************************************************
 End of File
*/

